! ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
! 
! Parameter Module File
! 
! Generated by KPP-2.2.4_gc symbolic chemistry Kinetics PreProcessor
!       (http://www.cs.vt.edu/~asandu/Software/KPP)
! KPP is distributed under GPL, the general public licence
!       (http://www.gnu.org/copyleft/gpl.html)
! (C) 1995-1997, V. Damian & A. Sandu, CGRER, Univ. Iowa
! (C) 1997-2005, A. Sandu, Michigan Tech, Virginia Tech
!     With important contributions from:
!        M. Damian, Villanova University, USA
!        R. Sander, Max-Planck Institute for Chemistry, Mainz, Germany
! 
! File                 : gckpp_Parameters.f90
! Time                 : Wed Nov 23 10:37:15 2016
! Working directory    : /n/home05/msulprizio/GC/FlexChem/Mechanisms/SOA
! Equation file        : gckpp.kpp
! Output root filename : gckpp
! 
! ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~



MODULE gckpp_Parameters

  USE gckpp_Precision
  PUBLIC
  SAVE


! NSPEC - Number of chemical species
  INTEGER, PARAMETER :: NSPEC = 313 
! NVAR - Number of Variable species
  INTEGER, PARAMETER :: NVAR = 306 
! NFLUX - Number of Reaction Flux species
  INTEGER, PARAMETER :: NFLUX = 1 
! NFAM - Number of Prod/Loss Families
  INTEGER, PARAMETER :: NFAM = 5 
! NVARACT - Number of Active species
  INTEGER, PARAMETER :: NVARACT = 120 
! NFIX - Number of Fixed species
  INTEGER, PARAMETER :: NFIX = 7 
! NREACT - Number of reactions
  INTEGER, PARAMETER :: NREACT = 403 
! NVARST - Starting of variables in conc. vect.
  INTEGER, PARAMETER :: NVARST = 1 
! NFIXST - Starting of fixed in conc. vect.
  INTEGER, PARAMETER :: NFIXST = 307 
! NONZERO - Number of nonzero entries in Jacobian
  INTEGER, PARAMETER :: NONZERO = 1980 
! LU_NONZERO - Number of nonzero entries in LU factoriz. of Jacobian
  INTEGER, PARAMETER :: LU_NONZERO = 2295 
! CNVAR - (NVAR+1) Number of elements in compressed row format
  INTEGER, PARAMETER :: CNVAR = 307 
! NLOOKAT - Number of species to look at
  INTEGER, PARAMETER :: NLOOKAT = 0 
! NMONITOR - Number of species to monitor
  INTEGER, PARAMETER :: NMONITOR = 0 
! NMASS - Number of atoms to check mass balance
  INTEGER, PARAMETER :: NMASS = 1 

! Index declaration for variable species in C and VAR
!   VAR(ind_spc) = C(ind_spc)

  INTEGER, PARAMETER :: ind_MONX = 1 
  INTEGER, PARAMETER :: ind_SO4 = 2 
  INTEGER, PARAMETER :: ind_MSA = 3 
  INTEGER, PARAMETER :: ind_LISOPOH = 4 
  INTEGER, PARAMETER :: ind_LISOPNO3 = 5 
  INTEGER, PARAMETER :: ind_LBRO2H = 6 
  INTEGER, PARAMETER :: ind_LBRO2N = 7 
  INTEGER, PARAMETER :: ind_LTRO2H = 8 
  INTEGER, PARAMETER :: ind_LTRO2N = 9 
  INTEGER, PARAMETER :: ind_LXRO2H = 10 
  INTEGER, PARAMETER :: ind_LXRO2N = 11 
  INTEGER, PARAMETER :: ind_PYAC = 12 
  INTEGER, PARAMETER :: ind_CO2 = 13 
  INTEGER, PARAMETER :: ind_RR6 = 14 
  INTEGER, PARAMETER :: ind_RR10 = 15 
  INTEGER, PARAMETER :: ind_RR15 = 16 
  INTEGER, PARAMETER :: ind_RR25 = 17 
  INTEGER, PARAMETER :: ind_RR27 = 18 
  INTEGER, PARAMETER :: ind_RR44 = 19 
  INTEGER, PARAMETER :: ind_RR46 = 20 
  INTEGER, PARAMETER :: ind_RR49 = 21 
  INTEGER, PARAMETER :: ind_RR50 = 22 
  INTEGER, PARAMETER :: ind_RR52 = 23 
  INTEGER, PARAMETER :: ind_RR53 = 24 
  INTEGER, PARAMETER :: ind_RR54 = 25 
  INTEGER, PARAMETER :: ind_RR55 = 26 
  INTEGER, PARAMETER :: ind_RR56 = 27 
  INTEGER, PARAMETER :: ind_RR57 = 28 
  INTEGER, PARAMETER :: ind_RR59 = 29 
  INTEGER, PARAMETER :: ind_RR60 = 30 
  INTEGER, PARAMETER :: ind_RR62 = 31 
  INTEGER, PARAMETER :: ind_RR63 = 32 
  INTEGER, PARAMETER :: ind_RR64 = 33 
  INTEGER, PARAMETER :: ind_RR68 = 34 
  INTEGER, PARAMETER :: ind_RR72 = 35 
  INTEGER, PARAMETER :: ind_RR74 = 36 
  INTEGER, PARAMETER :: ind_RR81 = 37 
  INTEGER, PARAMETER :: ind_RR90 = 38 
  INTEGER, PARAMETER :: ind_RR91 = 39 
  INTEGER, PARAMETER :: ind_RR130 = 40 
  INTEGER, PARAMETER :: ind_RR131 = 41 
  INTEGER, PARAMETER :: ind_RR132 = 42 
  INTEGER, PARAMETER :: ind_RR176 = 43 
  INTEGER, PARAMETER :: ind_RR188 = 44 
  INTEGER, PARAMETER :: ind_RR189 = 45 
  INTEGER, PARAMETER :: ind_RR245 = 46 
  INTEGER, PARAMETER :: ind_RR264 = 47 
  INTEGER, PARAMETER :: ind_RR265 = 48 
  INTEGER, PARAMETER :: ind_RR269 = 49 
  INTEGER, PARAMETER :: ind_RR270 = 50 
  INTEGER, PARAMETER :: ind_RR271 = 51 
  INTEGER, PARAMETER :: ind_RR272 = 52 
  INTEGER, PARAMETER :: ind_RR273 = 53 
  INTEGER, PARAMETER :: ind_RR274 = 54 
  INTEGER, PARAMETER :: ind_RR276 = 55 
  INTEGER, PARAMETER :: ind_RR278 = 56 
  INTEGER, PARAMETER :: ind_RR279 = 57 
  INTEGER, PARAMETER :: ind_RR281 = 58 
  INTEGER, PARAMETER :: ind_RR283 = 59 
  INTEGER, PARAMETER :: ind_RR284 = 60 
  INTEGER, PARAMETER :: ind_RR287 = 61 
  INTEGER, PARAMETER :: ind_RR288 = 62 
  INTEGER, PARAMETER :: ind_RR293 = 63 
  INTEGER, PARAMETER :: ind_RR294 = 64 
  INTEGER, PARAMETER :: ind_RR299 = 65 
  INTEGER, PARAMETER :: ind_RR300 = 66 
  INTEGER, PARAMETER :: ind_RR305 = 67 
  INTEGER, PARAMETER :: ind_RR306 = 68 
  INTEGER, PARAMETER :: ind_RR310 = 69 
  INTEGER, PARAMETER :: ind_RR311 = 70 
  INTEGER, PARAMETER :: ind_RR315 = 71 
  INTEGER, PARAMETER :: ind_RR316 = 72 
  INTEGER, PARAMETER :: ind_RR321 = 73 
  INTEGER, PARAMETER :: ind_RR322 = 74 
  INTEGER, PARAMETER :: ind_RR327 = 75 
  INTEGER, PARAMETER :: ind_RR328 = 76 
  INTEGER, PARAMETER :: ind_RR351 = 77 
  INTEGER, PARAMETER :: ind_RR358 = 78 
  INTEGER, PARAMETER :: ind_RR399 = 79 
  INTEGER, PARAMETER :: ind_RR2 = 80 
  INTEGER, PARAMETER :: ind_RR3 = 81 
  INTEGER, PARAMETER :: ind_RR5 = 82 
  INTEGER, PARAMETER :: ind_RR31 = 83 
  INTEGER, PARAMETER :: ind_RR33 = 84 
  INTEGER, PARAMETER :: ind_RR38 = 85 
  INTEGER, PARAMETER :: ind_RR39 = 86 
  INTEGER, PARAMETER :: ind_RR41 = 87 
  INTEGER, PARAMETER :: ind_RR65 = 88 
  INTEGER, PARAMETER :: ind_RR66 = 89 
  INTEGER, PARAMETER :: ind_RR67 = 90 
  INTEGER, PARAMETER :: ind_RR69 = 91 
  INTEGER, PARAMETER :: ind_RR70 = 92 
  INTEGER, PARAMETER :: ind_RR75 = 93 
  INTEGER, PARAMETER :: ind_RR77 = 94 
  INTEGER, PARAMETER :: ind_RR79 = 95 
  INTEGER, PARAMETER :: ind_RR82 = 96 
  INTEGER, PARAMETER :: ind_RR92 = 97 
  INTEGER, PARAMETER :: ind_RR109 = 98 
  INTEGER, PARAMETER :: ind_RR134 = 99 
  INTEGER, PARAMETER :: ind_RR139 = 100 
  INTEGER, PARAMETER :: ind_RR142 = 101 
  INTEGER, PARAMETER :: ind_RR143 = 102 
  INTEGER, PARAMETER :: ind_RR153 = 103 
  INTEGER, PARAMETER :: ind_RR154 = 104 
  INTEGER, PARAMETER :: ind_RR155 = 105 
  INTEGER, PARAMETER :: ind_RR156 = 106 
  INTEGER, PARAMETER :: ind_RR157 = 107 
  INTEGER, PARAMETER :: ind_RR158 = 108 
  INTEGER, PARAMETER :: ind_RR191 = 109 
  INTEGER, PARAMETER :: ind_RR192 = 110 
  INTEGER, PARAMETER :: ind_RR224 = 111 
  INTEGER, PARAMETER :: ind_RR227 = 112 
  INTEGER, PARAMETER :: ind_RR228 = 113 
  INTEGER, PARAMETER :: ind_RR230 = 114 
  INTEGER, PARAMETER :: ind_RR231 = 115 
  INTEGER, PARAMETER :: ind_RR232 = 116 
  INTEGER, PARAMETER :: ind_RR235 = 117 
  INTEGER, PARAMETER :: ind_RR241 = 118 
  INTEGER, PARAMETER :: ind_RR242 = 119 
  INTEGER, PARAMETER :: ind_RR246 = 120 
  INTEGER, PARAMETER :: ind_RR259 = 121 
  INTEGER, PARAMETER :: ind_RR261 = 122 
  INTEGER, PARAMETER :: ind_RR267 = 123 
  INTEGER, PARAMETER :: ind_RR268 = 124 
  INTEGER, PARAMETER :: ind_RR275 = 125 
  INTEGER, PARAMETER :: ind_RR280 = 126 
  INTEGER, PARAMETER :: ind_RR290 = 127 
  INTEGER, PARAMETER :: ind_RR342 = 128 
  INTEGER, PARAMETER :: ind_RR343 = 129 
  INTEGER, PARAMETER :: ind_RR354 = 130 
  INTEGER, PARAMETER :: ind_RR394 = 131 
  INTEGER, PARAMETER :: ind_RR23 = 132 
  INTEGER, PARAMETER :: ind_RR40 = 133 
  INTEGER, PARAMETER :: ind_RR61 = 134 
  INTEGER, PARAMETER :: ind_RR103 = 135 
  INTEGER, PARAMETER :: ind_RR116 = 136 
  INTEGER, PARAMETER :: ind_RR118 = 137 
  INTEGER, PARAMETER :: ind_RR119 = 138 
  INTEGER, PARAMETER :: ind_RR135 = 139 
  INTEGER, PARAMETER :: ind_RR137 = 140 
  INTEGER, PARAMETER :: ind_RR138 = 141 
  INTEGER, PARAMETER :: ind_RR140 = 142 
  INTEGER, PARAMETER :: ind_RR141 = 143 
  INTEGER, PARAMETER :: ind_RR148 = 144 
  INTEGER, PARAMETER :: ind_RR175 = 145 
  INTEGER, PARAMETER :: ind_RR200 = 146 
  INTEGER, PARAMETER :: ind_RR202 = 147 
  INTEGER, PARAMETER :: ind_RR205 = 148 
  INTEGER, PARAMETER :: ind_RR248 = 149 
  INTEGER, PARAMETER :: ind_RR249 = 150 
  INTEGER, PARAMETER :: ind_RR250 = 151 
  INTEGER, PARAMETER :: ind_RR251 = 152 
  INTEGER, PARAMETER :: ind_RR252 = 153 
  INTEGER, PARAMETER :: ind_RR282 = 154 
  INTEGER, PARAMETER :: ind_RR347 = 155 
  INTEGER, PARAMETER :: ind_RR348 = 156 
  INTEGER, PARAMETER :: ind_RR356 = 157 
  INTEGER, PARAMETER :: ind_RR357 = 158 
  INTEGER, PARAMETER :: ind_RR359 = 159 
  INTEGER, PARAMETER :: ind_RR361 = 160 
  INTEGER, PARAMETER :: ind_RR363 = 161 
  INTEGER, PARAMETER :: ind_RR364 = 162 
  INTEGER, PARAMETER :: ind_RR365 = 163 
  INTEGER, PARAMETER :: ind_RR366 = 164 
  INTEGER, PARAMETER :: ind_RR367 = 165 
  INTEGER, PARAMETER :: ind_RR368 = 166 
  INTEGER, PARAMETER :: ind_RR369 = 167 
  INTEGER, PARAMETER :: ind_RR371 = 168 
  INTEGER, PARAMETER :: ind_RR382 = 169 
  INTEGER, PARAMETER :: ind_RR385 = 170 
  INTEGER, PARAMETER :: ind_RR389 = 171 
  INTEGER, PARAMETER :: ind_RR402 = 172 
  INTEGER, PARAMETER :: ind_RR13 = 173 
  INTEGER, PARAMETER :: ind_RR298 = 174 
  INTEGER, PARAMETER :: ind_RR304 = 175 
  INTEGER, PARAMETER :: ind_RR309 = 176 
  INTEGER, PARAMETER :: ind_RR314 = 177 
  INTEGER, PARAMETER :: ind_RR320 = 178 
  INTEGER, PARAMETER :: ind_RR326 = 179 
  INTEGER, PARAMETER :: ind_RR236 = 180 
  INTEGER, PARAMETER :: ind_RR295 = 181 
  INTEGER, PARAMETER :: ind_RR301 = 182 
  INTEGER, PARAMETER :: ind_RR307 = 183 
  INTEGER, PARAMETER :: ind_RR312 = 184 
  INTEGER, PARAMETER :: ind_RR317 = 185 
  INTEGER, PARAMETER :: ind_RR323 = 186 
  INTEGER, PARAMETER :: ind_RR329 = 187 
  INTEGER, PARAMETER :: ind_TOLU = 188 
  INTEGER, PARAMETER :: ind_XYLE = 189 
  INTEGER, PARAMETER :: ind_CHBr3 = 190 
  INTEGER, PARAMETER :: ind_CH2Br2 = 191 
  INTEGER, PARAMETER :: ind_CH3Br = 192 
  INTEGER, PARAMETER :: ind_BENZ = 193 
  INTEGER, PARAMETER :: ind_BrNO2 = 194 
  INTEGER, PARAMETER :: ind_IEPOX = 195 
  INTEGER, PARAMETER :: ind_PMNN = 196 
  INTEGER, PARAMETER :: ind_PPN = 197 
  INTEGER, PARAMETER :: ind_BRO2 = 198 
  INTEGER, PARAMETER :: ind_TRO2 = 199 
  INTEGER, PARAMETER :: ind_XRO2 = 200 
  INTEGER, PARAMETER :: ind_N2O5 = 201 
  INTEGER, PARAMETER :: ind_ALK4 = 202 
  INTEGER, PARAMETER :: ind_PAN = 203 
  INTEGER, PARAMETER :: ind_HNO2 = 204 
  INTEGER, PARAMETER :: ind_MAP = 205 
  INTEGER, PARAMETER :: ind_MPN = 206 
  INTEGER, PARAMETER :: ind_DMS = 207 
  INTEGER, PARAMETER :: ind_C3H8 = 208 
  INTEGER, PARAMETER :: ind_ETP = 209 
  INTEGER, PARAMETER :: ind_HNO4 = 210 
  INTEGER, PARAMETER :: ind_MP = 211 
  INTEGER, PARAMETER :: ind_RA3P = 212 
  INTEGER, PARAMETER :: ind_RB3P = 213 
  INTEGER, PARAMETER :: ind_MAOP = 214 
  INTEGER, PARAMETER :: ind_HOBr = 215 
  INTEGER, PARAMETER :: ind_Br2 = 216 
  INTEGER, PARAMETER :: ind_HBr = 217 
  INTEGER, PARAMETER :: ind_RP = 218 
  INTEGER, PARAMETER :: ind_ETHLN = 219 
  INTEGER, PARAMETER :: ind_C2H6 = 220 
  INTEGER, PARAMETER :: ind_BrNO3 = 221 
  INTEGER, PARAMETER :: ind_H2O2 = 222 
  INTEGER, PARAMETER :: ind_PP = 223 
  INTEGER, PARAMETER :: ind_PRPN = 224 
  INTEGER, PARAMETER :: ind_ATOOH = 225 
  INTEGER, PARAMETER :: ind_HCOOH = 226 
  INTEGER, PARAMETER :: ind_R4P = 227 
  INTEGER, PARAMETER :: ind_VRP = 228 
  INTEGER, PARAMETER :: ind_IAP = 229 
  INTEGER, PARAMETER :: ind_RIP = 230 
  INTEGER, PARAMETER :: ind_MRP = 231 
  INTEGER, PARAMETER :: ind_MOBA = 232 
  INTEGER, PARAMETER :: ind_DHMOB = 233 
  INTEGER, PARAMETER :: ind_INPN = 234 
  INTEGER, PARAMETER :: ind_ISNP = 235 
  INTEGER, PARAMETER :: ind_ISOPNB = 236 
  INTEGER, PARAMETER :: ind_IEPOXOO = 237 
  INTEGER, PARAMETER :: ind_MOBAOO = 238 
  INTEGER, PARAMETER :: ind_ROH = 239 
  INTEGER, PARAMETER :: ind_DIBOO = 240 
  INTEGER, PARAMETER :: ind_MACRNO2 = 241 
  INTEGER, PARAMETER :: ind_PMN = 242 
  INTEGER, PARAMETER :: ind_MVKOO = 243 
  INTEGER, PARAMETER :: ind_ACTA = 244 
  INTEGER, PARAMETER :: ind_ACET = 245 
  INTEGER, PARAMETER :: ind_CH3CHOO = 246 
  INTEGER, PARAMETER :: ind_GAOO = 247 
  INTEGER, PARAMETER :: ind_ISNOHOO = 248 
  INTEGER, PARAMETER :: ind_MGLYOO = 249 
  INTEGER, PARAMETER :: ind_BrO = 250 
  INTEGER, PARAMETER :: ind_CH2OO = 251 
  INTEGER, PARAMETER :: ind_ISOP = 252 
  INTEGER, PARAMETER :: ind_PRPE = 253 
  INTEGER, PARAMETER :: ind_MVKN = 254 
  INTEGER, PARAMETER :: ind_ISNOOB = 255 
  INTEGER, PARAMETER :: ind_MGLOO = 256 
  INTEGER, PARAMETER :: ind_ISOPND = 257 
  INTEGER, PARAMETER :: ind_HNO3 = 258 
  INTEGER, PARAMETER :: ind_A3O2 = 259 
  INTEGER, PARAMETER :: ind_MAOPO2 = 260 
  INTEGER, PARAMETER :: ind_PROPNN = 261 
  INTEGER, PARAMETER :: ind_GLYX = 262 
  INTEGER, PARAMETER :: ind_MACROO = 263 
  INTEGER, PARAMETER :: ind_MACRN = 264 
  INTEGER, PARAMETER :: ind_PO2 = 265 
  INTEGER, PARAMETER :: ind_ISNOOA = 266 
  INTEGER, PARAMETER :: ind_MAN2 = 267 
  INTEGER, PARAMETER :: ind_B3O2 = 268 
  INTEGER, PARAMETER :: ind_PRN1 = 269 
  INTEGER, PARAMETER :: ind_KO2 = 270 
  INTEGER, PARAMETER :: ind_ETO2 = 271 
  INTEGER, PARAMETER :: ind_VRO2 = 272 
  INTEGER, PARAMETER :: ind_HC5OO = 273 
  INTEGER, PARAMETER :: ind_GLYC = 274 
  INTEGER, PARAMETER :: ind_RCO3 = 275 
  INTEGER, PARAMETER :: ind_R4N1 = 276 
  INTEGER, PARAMETER :: ind_ATO2 = 277 
  INTEGER, PARAMETER :: ind_ISN1 = 278 
  INTEGER, PARAMETER :: ind_MAO3 = 279 
  INTEGER, PARAMETER :: ind_SO2 = 280 
  INTEGER, PARAMETER :: ind_MGLY = 281 
  INTEGER, PARAMETER :: ind_INO2 = 282 
  INTEGER, PARAMETER :: ind_RIO2 = 283 
  INTEGER, PARAMETER :: ind_HC5 = 284 
  INTEGER, PARAMETER :: ind_CH2O = 285 
  INTEGER, PARAMETER :: ind_MRO2 = 286 
  INTEGER, PARAMETER :: ind_ISOPNBO2 = 287 
  INTEGER, PARAMETER :: ind_ISOPNDO2 = 288 
  INTEGER, PARAMETER :: ind_HAC = 289 
  INTEGER, PARAMETER :: ind_R4O2 = 290 
  INTEGER, PARAMETER :: ind_ALD2 = 291 
  INTEGER, PARAMETER :: ind_R4N2 = 292 
  INTEGER, PARAMETER :: ind_MVK = 293 
  INTEGER, PARAMETER :: ind_MACR = 294 
  INTEGER, PARAMETER :: ind_RCHO = 295 
  INTEGER, PARAMETER :: ind_NO = 296 
  INTEGER, PARAMETER :: ind_Br = 297 
  INTEGER, PARAMETER :: ind_MCO3 = 298 
  INTEGER, PARAMETER :: ind_MEK = 299 
  INTEGER, PARAMETER :: ind_HO2 = 300 
  INTEGER, PARAMETER :: ind_NO2 = 301 
  INTEGER, PARAMETER :: ind_OH = 302 
  INTEGER, PARAMETER :: ind_NO3 = 303 
  INTEGER, PARAMETER :: ind_O3 = 304 
  INTEGER, PARAMETER :: ind_MO2 = 305 
  INTEGER, PARAMETER :: ind_CO = 306 

! Index declaration for fixed species in C
!   C(ind_spc)

  INTEGER, PARAMETER :: ind_CH4 = 307 
  INTEGER, PARAMETER :: ind_EOH = 308 
  INTEGER, PARAMETER :: ind_H2 = 309 
  INTEGER, PARAMETER :: ind_H2O = 310 
  INTEGER, PARAMETER :: ind_MOH = 311 
  INTEGER, PARAMETER :: ind_O2 = 312 
  INTEGER, PARAMETER :: ind_RCOOH = 313 

! Index declaration for fixed species in FIX
!    FIX(indf_spc) = C(ind_spc) = C(NVAR+indf_spc)

  INTEGER, PARAMETER :: indf_CH4 = 1 
  INTEGER, PARAMETER :: indf_EOH = 2 
  INTEGER, PARAMETER :: indf_H2 = 3 
  INTEGER, PARAMETER :: indf_H2O = 4 
  INTEGER, PARAMETER :: indf_MOH = 5 
  INTEGER, PARAMETER :: indf_O2 = 6 
  INTEGER, PARAMETER :: indf_RCOOH = 7 

END MODULE gckpp_Parameters

