! ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
! 
! Parameter Module File
! 
! Generated by KPP-2.2.4_gc symbolic chemistry Kinetics PreProcessor
!       (http://www.cs.vt.edu/~asandu/Software/KPP)
! KPP is distributed under GPL, the general public licence
!       (http://www.gnu.org/copyleft/gpl.html)
! (C) 1995-1997, V. Damian & A. Sandu, CGRER, Univ. Iowa
! (C) 1997-2005, A. Sandu, Michigan Tech, Virginia Tech
!     With important contributions from:
!        M. Damian, Villanova University, USA
!        R. Sander, Max-Planck Institute for Chemistry, Mainz, Germany
! 
! File                 : gckpp_Parameters.f90
! Time                 : Wed Nov 30 14:50:29 2016
! Working directory    : /n/home05/msulprizio/GC/FlexChem/Mechanisms/Standard
! Equation file        : gckpp.kpp
! Output root filename : gckpp
! 
! ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~



MODULE gckpp_Parameters

  USE gckpp_Precision
  PUBLIC
  SAVE


! NSPEC - Number of chemical species
  INTEGER, PARAMETER :: NSPEC = 401 
! NVAR - Number of Variable species
  INTEGER, PARAMETER :: NVAR = 395 
! NFLUX - Number of Reaction Flux species
  INTEGER, PARAMETER :: NFLUX = 1 
! NFAM - Number of Prod/Loss Families
  INTEGER, PARAMETER :: NFAM = 5 
! NVARACT - Number of Active species
  INTEGER, PARAMETER :: NVARACT = 155 
! NFIX - Number of Fixed species
  INTEGER, PARAMETER :: NFIX = 6 
! NREACT - Number of reactions
  INTEGER, PARAMETER :: NREACT = 538 
! NVARST - Starting of variables in conc. vect.
  INTEGER, PARAMETER :: NVARST = 1 
! NFIXST - Starting of fixed in conc. vect.
  INTEGER, PARAMETER :: NFIXST = 396 
! NONZERO - Number of nonzero entries in Jacobian
  INTEGER, PARAMETER :: NONZERO = 2557 
! LU_NONZERO - Number of nonzero entries in LU factoriz. of Jacobian
  INTEGER, PARAMETER :: LU_NONZERO = 3075 
! CNVAR - (NVAR+1) Number of elements in compressed row format
  INTEGER, PARAMETER :: CNVAR = 396 
! NLOOKAT - Number of species to look at
  INTEGER, PARAMETER :: NLOOKAT = 0 
! NMONITOR - Number of species to monitor
  INTEGER, PARAMETER :: NMONITOR = 0 
! NMASS - Number of atoms to check mass balance
  INTEGER, PARAMETER :: NMASS = 1 

! Index declaration for variable species in C and VAR
!   VAR(ind_spc) = C(ind_spc)

  INTEGER, PARAMETER :: ind_MONX = 1 
  INTEGER, PARAMETER :: ind_MSA = 2 
  INTEGER, PARAMETER :: ind_LISOPOH = 3 
  INTEGER, PARAMETER :: ind_LISOPNO3 = 4 
  INTEGER, PARAMETER :: ind_LBRO2H = 5 
  INTEGER, PARAMETER :: ind_LBRO2N = 6 
  INTEGER, PARAMETER :: ind_LTRO2H = 7 
  INTEGER, PARAMETER :: ind_LTRO2N = 8 
  INTEGER, PARAMETER :: ind_LXRO2H = 9 
  INTEGER, PARAMETER :: ind_LXRO2N = 10 
  INTEGER, PARAMETER :: ind_PYAC = 11 
  INTEGER, PARAMETER :: ind_CO2 = 12 
  INTEGER, PARAMETER :: ind_RR6 = 13 
  INTEGER, PARAMETER :: ind_RR10 = 14 
  INTEGER, PARAMETER :: ind_RR14 = 15 
  INTEGER, PARAMETER :: ind_RR24 = 16 
  INTEGER, PARAMETER :: ind_RR26 = 17 
  INTEGER, PARAMETER :: ind_RR43 = 18 
  INTEGER, PARAMETER :: ind_RR45 = 19 
  INTEGER, PARAMETER :: ind_RR48 = 20 
  INTEGER, PARAMETER :: ind_RR49 = 21 
  INTEGER, PARAMETER :: ind_RR51 = 22 
  INTEGER, PARAMETER :: ind_RR52 = 23 
  INTEGER, PARAMETER :: ind_RR53 = 24 
  INTEGER, PARAMETER :: ind_RR54 = 25 
  INTEGER, PARAMETER :: ind_RR55 = 26 
  INTEGER, PARAMETER :: ind_RR56 = 27 
  INTEGER, PARAMETER :: ind_RR58 = 28 
  INTEGER, PARAMETER :: ind_RR59 = 29 
  INTEGER, PARAMETER :: ind_RR61 = 30 
  INTEGER, PARAMETER :: ind_RR62 = 31 
  INTEGER, PARAMETER :: ind_RR63 = 32 
  INTEGER, PARAMETER :: ind_RR67 = 33 
  INTEGER, PARAMETER :: ind_RR71 = 34 
  INTEGER, PARAMETER :: ind_RR73 = 35 
  INTEGER, PARAMETER :: ind_RR80 = 36 
  INTEGER, PARAMETER :: ind_RR89 = 37 
  INTEGER, PARAMETER :: ind_RR90 = 38 
  INTEGER, PARAMETER :: ind_RR129 = 39 
  INTEGER, PARAMETER :: ind_RR130 = 40 
  INTEGER, PARAMETER :: ind_RR131 = 41 
  INTEGER, PARAMETER :: ind_RR175 = 42 
  INTEGER, PARAMETER :: ind_RR187 = 43 
  INTEGER, PARAMETER :: ind_RR188 = 44 
  INTEGER, PARAMETER :: ind_RR244 = 45 
  INTEGER, PARAMETER :: ind_RR265 = 46 
  INTEGER, PARAMETER :: ind_RR266 = 47 
  INTEGER, PARAMETER :: ind_RR270 = 48 
  INTEGER, PARAMETER :: ind_RR271 = 49 
  INTEGER, PARAMETER :: ind_RR272 = 50 
  INTEGER, PARAMETER :: ind_RR273 = 51 
  INTEGER, PARAMETER :: ind_RR274 = 52 
  INTEGER, PARAMETER :: ind_RR275 = 53 
  INTEGER, PARAMETER :: ind_RR277 = 54 
  INTEGER, PARAMETER :: ind_RR279 = 55 
  INTEGER, PARAMETER :: ind_RR280 = 56 
  INTEGER, PARAMETER :: ind_RR282 = 57 
  INTEGER, PARAMETER :: ind_RR284 = 58 
  INTEGER, PARAMETER :: ind_RR285 = 59 
  INTEGER, PARAMETER :: ind_RR288 = 60 
  INTEGER, PARAMETER :: ind_RR289 = 61 
  INTEGER, PARAMETER :: ind_RR294 = 62 
  INTEGER, PARAMETER :: ind_RR295 = 63 
  INTEGER, PARAMETER :: ind_RR300 = 64 
  INTEGER, PARAMETER :: ind_RR301 = 65 
  INTEGER, PARAMETER :: ind_RR306 = 66 
  INTEGER, PARAMETER :: ind_RR307 = 67 
  INTEGER, PARAMETER :: ind_RR311 = 68 
  INTEGER, PARAMETER :: ind_RR312 = 69 
  INTEGER, PARAMETER :: ind_RR316 = 70 
  INTEGER, PARAMETER :: ind_RR317 = 71 
  INTEGER, PARAMETER :: ind_RR322 = 72 
  INTEGER, PARAMETER :: ind_RR323 = 73 
  INTEGER, PARAMETER :: ind_RR328 = 74 
  INTEGER, PARAMETER :: ind_RR329 = 75 
  INTEGER, PARAMETER :: ind_RR369 = 76 
  INTEGER, PARAMETER :: ind_RR371 = 77 
  INTEGER, PARAMETER :: ind_RR372 = 78 
  INTEGER, PARAMETER :: ind_RR395 = 79 
  INTEGER, PARAMETER :: ind_RR403 = 80 
  INTEGER, PARAMETER :: ind_RR404 = 81 
  INTEGER, PARAMETER :: ind_RR417 = 82 
  INTEGER, PARAMETER :: ind_RR430 = 83 
  INTEGER, PARAMETER :: ind_RR447 = 84 
  INTEGER, PARAMETER :: ind_RR455 = 85 
  INTEGER, PARAMETER :: ind_RR462 = 86 
  INTEGER, PARAMETER :: ind_RR503 = 87 
  INTEGER, PARAMETER :: ind_RR508 = 88 
  INTEGER, PARAMETER :: ind_RR511 = 89 
  INTEGER, PARAMETER :: ind_RR2 = 90 
  INTEGER, PARAMETER :: ind_RR3 = 91 
  INTEGER, PARAMETER :: ind_RR5 = 92 
  INTEGER, PARAMETER :: ind_RR30 = 93 
  INTEGER, PARAMETER :: ind_RR32 = 94 
  INTEGER, PARAMETER :: ind_RR37 = 95 
  INTEGER, PARAMETER :: ind_RR38 = 96 
  INTEGER, PARAMETER :: ind_RR40 = 97 
  INTEGER, PARAMETER :: ind_RR64 = 98 
  INTEGER, PARAMETER :: ind_RR65 = 99 
  INTEGER, PARAMETER :: ind_RR66 = 100 
  INTEGER, PARAMETER :: ind_RR68 = 101 
  INTEGER, PARAMETER :: ind_RR69 = 102 
  INTEGER, PARAMETER :: ind_RR74 = 103 
  INTEGER, PARAMETER :: ind_RR76 = 104 
  INTEGER, PARAMETER :: ind_RR78 = 105 
  INTEGER, PARAMETER :: ind_RR81 = 106 
  INTEGER, PARAMETER :: ind_RR91 = 107 
  INTEGER, PARAMETER :: ind_RR108 = 108 
  INTEGER, PARAMETER :: ind_RR133 = 109 
  INTEGER, PARAMETER :: ind_RR138 = 110 
  INTEGER, PARAMETER :: ind_RR141 = 111 
  INTEGER, PARAMETER :: ind_RR142 = 112 
  INTEGER, PARAMETER :: ind_RR152 = 113 
  INTEGER, PARAMETER :: ind_RR153 = 114 
  INTEGER, PARAMETER :: ind_RR154 = 115 
  INTEGER, PARAMETER :: ind_RR155 = 116 
  INTEGER, PARAMETER :: ind_RR156 = 117 
  INTEGER, PARAMETER :: ind_RR157 = 118 
  INTEGER, PARAMETER :: ind_RR190 = 119 
  INTEGER, PARAMETER :: ind_RR191 = 120 
  INTEGER, PARAMETER :: ind_RR223 = 121 
  INTEGER, PARAMETER :: ind_RR226 = 122 
  INTEGER, PARAMETER :: ind_RR227 = 123 
  INTEGER, PARAMETER :: ind_RR229 = 124 
  INTEGER, PARAMETER :: ind_RR230 = 125 
  INTEGER, PARAMETER :: ind_RR231 = 126 
  INTEGER, PARAMETER :: ind_RR234 = 127 
  INTEGER, PARAMETER :: ind_RR240 = 128 
  INTEGER, PARAMETER :: ind_RR241 = 129 
  INTEGER, PARAMETER :: ind_RR245 = 130 
  INTEGER, PARAMETER :: ind_RR246 = 131 
  INTEGER, PARAMETER :: ind_RR247 = 132 
  INTEGER, PARAMETER :: ind_RR260 = 133 
  INTEGER, PARAMETER :: ind_RR262 = 134 
  INTEGER, PARAMETER :: ind_RR268 = 135 
  INTEGER, PARAMETER :: ind_RR269 = 136 
  INTEGER, PARAMETER :: ind_RR276 = 137 
  INTEGER, PARAMETER :: ind_RR281 = 138 
  INTEGER, PARAMETER :: ind_RR291 = 139 
  INTEGER, PARAMETER :: ind_RR343 = 140 
  INTEGER, PARAMETER :: ind_RR346 = 141 
  INTEGER, PARAMETER :: ind_RR347 = 142 
  INTEGER, PARAMETER :: ind_RR348 = 143 
  INTEGER, PARAMETER :: ind_RR349 = 144 
  INTEGER, PARAMETER :: ind_RR350 = 145 
  INTEGER, PARAMETER :: ind_RR351 = 146 
  INTEGER, PARAMETER :: ind_RR353 = 147 
  INTEGER, PARAMETER :: ind_RR355 = 148 
  INTEGER, PARAMETER :: ind_RR356 = 149 
  INTEGER, PARAMETER :: ind_RR357 = 150 
  INTEGER, PARAMETER :: ind_RR359 = 151 
  INTEGER, PARAMETER :: ind_RR361 = 152 
  INTEGER, PARAMETER :: ind_RR362 = 153 
  INTEGER, PARAMETER :: ind_RR365 = 154 
  INTEGER, PARAMETER :: ind_RR367 = 155 
  INTEGER, PARAMETER :: ind_RR374 = 156 
  INTEGER, PARAMETER :: ind_RR375 = 157 
  INTEGER, PARAMETER :: ind_RR376 = 158 
  INTEGER, PARAMETER :: ind_RR377 = 159 
  INTEGER, PARAMETER :: ind_RR380 = 160 
  INTEGER, PARAMETER :: ind_RR383 = 161 
  INTEGER, PARAMETER :: ind_RR396 = 162 
  INTEGER, PARAMETER :: ind_RR397 = 163 
  INTEGER, PARAMETER :: ind_RR398 = 164 
  INTEGER, PARAMETER :: ind_RR399 = 165 
  INTEGER, PARAMETER :: ind_RR400 = 166 
  INTEGER, PARAMETER :: ind_RR418 = 167 
  INTEGER, PARAMETER :: ind_RR422 = 168 
  INTEGER, PARAMETER :: ind_RR423 = 169 
  INTEGER, PARAMETER :: ind_RR432 = 170 
  INTEGER, PARAMETER :: ind_RR433 = 171 
  INTEGER, PARAMETER :: ind_RR437 = 172 
  INTEGER, PARAMETER :: ind_RR439 = 173 
  INTEGER, PARAMETER :: ind_RR440 = 174 
  INTEGER, PARAMETER :: ind_RR441 = 175 
  INTEGER, PARAMETER :: ind_RR442 = 176 
  INTEGER, PARAMETER :: ind_RR443 = 177 
  INTEGER, PARAMETER :: ind_RR444 = 178 
  INTEGER, PARAMETER :: ind_RR458 = 179 
  INTEGER, PARAMETER :: ind_RR498 = 180 
  INTEGER, PARAMETER :: ind_RR517 = 181 
  INTEGER, PARAMETER :: ind_RR521 = 182 
  INTEGER, PARAMETER :: ind_RR22 = 183 
  INTEGER, PARAMETER :: ind_RR39 = 184 
  INTEGER, PARAMETER :: ind_RR60 = 185 
  INTEGER, PARAMETER :: ind_RR102 = 186 
  INTEGER, PARAMETER :: ind_RR115 = 187 
  INTEGER, PARAMETER :: ind_RR117 = 188 
  INTEGER, PARAMETER :: ind_RR118 = 189 
  INTEGER, PARAMETER :: ind_RR134 = 190 
  INTEGER, PARAMETER :: ind_RR136 = 191 
  INTEGER, PARAMETER :: ind_RR137 = 192 
  INTEGER, PARAMETER :: ind_RR139 = 193 
  INTEGER, PARAMETER :: ind_RR140 = 194 
  INTEGER, PARAMETER :: ind_RR147 = 195 
  INTEGER, PARAMETER :: ind_RR174 = 196 
  INTEGER, PARAMETER :: ind_RR199 = 197 
  INTEGER, PARAMETER :: ind_RR201 = 198 
  INTEGER, PARAMETER :: ind_RR204 = 199 
  INTEGER, PARAMETER :: ind_RR249 = 200 
  INTEGER, PARAMETER :: ind_RR250 = 201 
  INTEGER, PARAMETER :: ind_RR251 = 202 
  INTEGER, PARAMETER :: ind_RR252 = 203 
  INTEGER, PARAMETER :: ind_RR253 = 204 
  INTEGER, PARAMETER :: ind_RR283 = 205 
  INTEGER, PARAMETER :: ind_RR412 = 206 
  INTEGER, PARAMETER :: ind_RR436 = 207 
  INTEGER, PARAMETER :: ind_RR451 = 208 
  INTEGER, PARAMETER :: ind_RR452 = 209 
  INTEGER, PARAMETER :: ind_RR460 = 210 
  INTEGER, PARAMETER :: ind_RR461 = 211 
  INTEGER, PARAMETER :: ind_RR463 = 212 
  INTEGER, PARAMETER :: ind_RR465 = 213 
  INTEGER, PARAMETER :: ind_RR467 = 214 
  INTEGER, PARAMETER :: ind_RR468 = 215 
  INTEGER, PARAMETER :: ind_RR469 = 216 
  INTEGER, PARAMETER :: ind_RR470 = 217 
  INTEGER, PARAMETER :: ind_RR471 = 218 
  INTEGER, PARAMETER :: ind_RR472 = 219 
  INTEGER, PARAMETER :: ind_RR473 = 220 
  INTEGER, PARAMETER :: ind_RR475 = 221 
  INTEGER, PARAMETER :: ind_RR486 = 222 
  INTEGER, PARAMETER :: ind_RR489 = 223 
  INTEGER, PARAMETER :: ind_RR493 = 224 
  INTEGER, PARAMETER :: ind_RR506 = 225 
  INTEGER, PARAMETER :: ind_RR509 = 226 
  INTEGER, PARAMETER :: ind_RR12 = 227 
  INTEGER, PARAMETER :: ind_RR299 = 228 
  INTEGER, PARAMETER :: ind_RR305 = 229 
  INTEGER, PARAMETER :: ind_RR310 = 230 
  INTEGER, PARAMETER :: ind_RR315 = 231 
  INTEGER, PARAMETER :: ind_RR321 = 232 
  INTEGER, PARAMETER :: ind_RR327 = 233 
  INTEGER, PARAMETER :: ind_RR235 = 234 
  INTEGER, PARAMETER :: ind_RR296 = 235 
  INTEGER, PARAMETER :: ind_RR302 = 236 
  INTEGER, PARAMETER :: ind_RR308 = 237 
  INTEGER, PARAMETER :: ind_RR313 = 238 
  INTEGER, PARAMETER :: ind_RR318 = 239 
  INTEGER, PARAMETER :: ind_RR324 = 240 
  INTEGER, PARAMETER :: ind_RR330 = 241 
  INTEGER, PARAMETER :: ind_BENZ = 242 
  INTEGER, PARAMETER :: ind_TOLU = 243 
  INTEGER, PARAMETER :: ind_XYLE = 244 
  INTEGER, PARAMETER :: ind_CH3CCl3 = 245 
  INTEGER, PARAMETER :: ind_BrNO2 = 246 
  INTEGER, PARAMETER :: ind_IEPOX = 247 
  INTEGER, PARAMETER :: ind_PMNN = 248 
  INTEGER, PARAMETER :: ind_CCl4 = 249 
  INTEGER, PARAMETER :: ind_CFC11 = 250 
  INTEGER, PARAMETER :: ind_CFC12 = 251 
  INTEGER, PARAMETER :: ind_CFC113 = 252 
  INTEGER, PARAMETER :: ind_CFC114 = 253 
  INTEGER, PARAMETER :: ind_CFC115 = 254 
  INTEGER, PARAMETER :: ind_H1301 = 255 
  INTEGER, PARAMETER :: ind_H2402 = 256 
  INTEGER, PARAMETER :: ind_PPN = 257 
  INTEGER, PARAMETER :: ind_XRO2 = 258 
  INTEGER, PARAMETER :: ind_H1211 = 259 
  INTEGER, PARAMETER :: ind_N2O = 260 
  INTEGER, PARAMETER :: ind_BRO2 = 261 
  INTEGER, PARAMETER :: ind_TRO2 = 262 
  INTEGER, PARAMETER :: ind_OCS = 263 
  INTEGER, PARAMETER :: ind_ALK4 = 264 
  INTEGER, PARAMETER :: ind_N = 265 
  INTEGER, PARAMETER :: ind_PAN = 266 
  INTEGER, PARAMETER :: ind_MAP = 267 
  INTEGER, PARAMETER :: ind_Cl2O2 = 268 
  INTEGER, PARAMETER :: ind_CHBr3 = 269 
  INTEGER, PARAMETER :: ind_CH2Br2 = 270 
  INTEGER, PARAMETER :: ind_MPN = 271 
  INTEGER, PARAMETER :: ind_OClO = 272 
  INTEGER, PARAMETER :: ind_ClNO2 = 273 
  INTEGER, PARAMETER :: ind_HCFC22 = 274 
  INTEGER, PARAMETER :: ind_HCFC123 = 275 
  INTEGER, PARAMETER :: ind_HCFC141b = 276 
  INTEGER, PARAMETER :: ind_HCFC142b = 277 
  INTEGER, PARAMETER :: ind_C3H8 = 278 
  INTEGER, PARAMETER :: ind_ETP = 279 
  INTEGER, PARAMETER :: ind_HNO2 = 280 
  INTEGER, PARAMETER :: ind_RA3P = 281 
  INTEGER, PARAMETER :: ind_RB3P = 282 
  INTEGER, PARAMETER :: ind_DMS = 283 
  INTEGER, PARAMETER :: ind_CH3Cl = 284 
  INTEGER, PARAMETER :: ind_CH3Br = 285 
  INTEGER, PARAMETER :: ind_ClOO = 286 
  INTEGER, PARAMETER :: ind_HNO4 = 287 
  INTEGER, PARAMETER :: ind_MAOP = 288 
  INTEGER, PARAMETER :: ind_MP = 289 
  INTEGER, PARAMETER :: ind_BrCl = 290 
  INTEGER, PARAMETER :: ind_RP = 291 
  INTEGER, PARAMETER :: ind_ETHLN = 292 
  INTEGER, PARAMETER :: ind_Br2 = 293 
  INTEGER, PARAMETER :: ind_SO4 = 294 
  INTEGER, PARAMETER :: ind_PP = 295 
  INTEGER, PARAMETER :: ind_PRPN = 296 
  INTEGER, PARAMETER :: ind_R4P = 297 
  INTEGER, PARAMETER :: ind_C2H6 = 298 
  INTEGER, PARAMETER :: ind_IAP = 299 
  INTEGER, PARAMETER :: ind_RIP = 300 
  INTEGER, PARAMETER :: ind_ATOOH = 301 
  INTEGER, PARAMETER :: ind_VRP = 302 
  INTEGER, PARAMETER :: ind_DHMOB = 303 
  INTEGER, PARAMETER :: ind_MOBA = 304 
  INTEGER, PARAMETER :: ind_MRP = 305 
  INTEGER, PARAMETER :: ind_N2O5 = 306 
  INTEGER, PARAMETER :: ind_HCOOH = 307 
  INTEGER, PARAMETER :: ind_INPN = 308 
  INTEGER, PARAMETER :: ind_ISNP = 309 
  INTEGER, PARAMETER :: ind_ISOPNB = 310 
  INTEGER, PARAMETER :: ind_MOBAOO = 311 
  INTEGER, PARAMETER :: ind_ROH = 312 
  INTEGER, PARAMETER :: ind_IEPOXOO = 313 
  INTEGER, PARAMETER :: ind_DIBOO = 314 
  INTEGER, PARAMETER :: ind_PMN = 315 
  INTEGER, PARAMETER :: ind_H = 316 
  INTEGER, PARAMETER :: ind_BrNO3 = 317 
  INTEGER, PARAMETER :: ind_MACRNO2 = 318 
  INTEGER, PARAMETER :: ind_ISOP = 319 
  INTEGER, PARAMETER :: ind_PRPE = 320 
  INTEGER, PARAMETER :: ind_Cl2 = 321 
  INTEGER, PARAMETER :: ind_ISNOHOO = 322 
  INTEGER, PARAMETER :: ind_ISNOOB = 323 
  INTEGER, PARAMETER :: ind_PROPNN = 324 
  INTEGER, PARAMETER :: ind_HOBr = 325 
  INTEGER, PARAMETER :: ind_MVKN = 326 
  INTEGER, PARAMETER :: ind_GLYX = 327 
  INTEGER, PARAMETER :: ind_GAOO = 328 
  INTEGER, PARAMETER :: ind_CH4 = 329 
  INTEGER, PARAMETER :: ind_MGLYOO = 330 
  INTEGER, PARAMETER :: ind_MAOPO2 = 331 
  INTEGER, PARAMETER :: ind_A3O2 = 332 
  INTEGER, PARAMETER :: ind_ISOPND = 333 
  INTEGER, PARAMETER :: ind_ACET = 334 
  INTEGER, PARAMETER :: ind_MVKOO = 335 
  INTEGER, PARAMETER :: ind_MGLOO = 336 
  INTEGER, PARAMETER :: ind_ACTA = 337 
  INTEGER, PARAMETER :: ind_CH2OO = 338 
  INTEGER, PARAMETER :: ind_ISNOOA = 339 
  INTEGER, PARAMETER :: ind_PO2 = 340 
  INTEGER, PARAMETER :: ind_MACRN = 341 
  INTEGER, PARAMETER :: ind_MAN2 = 342 
  INTEGER, PARAMETER :: ind_CH3CHOO = 343 
  INTEGER, PARAMETER :: ind_H2O2 = 344 
  INTEGER, PARAMETER :: ind_PRN1 = 345 
  INTEGER, PARAMETER :: ind_KO2 = 346 
  INTEGER, PARAMETER :: ind_B3O2 = 347 
  INTEGER, PARAMETER :: ind_ClNO3 = 348 
  INTEGER, PARAMETER :: ind_VRO2 = 349 
  INTEGER, PARAMETER :: ind_ETO2 = 350 
  INTEGER, PARAMETER :: ind_HC5OO = 351 
  INTEGER, PARAMETER :: ind_RCO3 = 352 
  INTEGER, PARAMETER :: ind_MRO2 = 353 
  INTEGER, PARAMETER :: ind_HNO3 = 354 
  INTEGER, PARAMETER :: ind_HOCl = 355 
  INTEGER, PARAMETER :: ind_GLYC = 356 
  INTEGER, PARAMETER :: ind_ATO2 = 357 
  INTEGER, PARAMETER :: ind_R4N1 = 358 
  INTEGER, PARAMETER :: ind_ISN1 = 359 
  INTEGER, PARAMETER :: ind_MAO3 = 360 
  INTEGER, PARAMETER :: ind_INO2 = 361 
  INTEGER, PARAMETER :: ind_RIO2 = 362 
  INTEGER, PARAMETER :: ind_HC5 = 363 
  INTEGER, PARAMETER :: ind_MGLY = 364 
  INTEGER, PARAMETER :: ind_ISOPNBO2 = 365 
  INTEGER, PARAMETER :: ind_ISOPNDO2 = 366 
  INTEGER, PARAMETER :: ind_MACROO = 367 
  INTEGER, PARAMETER :: ind_HAC = 368 
  INTEGER, PARAMETER :: ind_R4O2 = 369 
  INTEGER, PARAMETER :: ind_R4N2 = 370 
  INTEGER, PARAMETER :: ind_BrO = 371 
  INTEGER, PARAMETER :: ind_RCHO = 372 
  INTEGER, PARAMETER :: ind_ClO = 373 
  INTEGER, PARAMETER :: ind_MEK = 374 
  INTEGER, PARAMETER :: ind_MACR = 375 
  INTEGER, PARAMETER :: ind_ALD2 = 376 
  INTEGER, PARAMETER :: ind_MVK = 377 
  INTEGER, PARAMETER :: ind_MCO3 = 378 
  INTEGER, PARAMETER :: ind_SO2 = 379 
  INTEGER, PARAMETER :: ind_CH2O = 380 
  INTEGER, PARAMETER :: ind_H2O = 381 
  INTEGER, PARAMETER :: ind_NO2 = 382 
  INTEGER, PARAMETER :: ind_OH = 383 
  INTEGER, PARAMETER :: ind_NO = 384 
  INTEGER, PARAMETER :: ind_CO = 385 
  INTEGER, PARAMETER :: ind_O1D = 386 
  INTEGER, PARAMETER :: ind_HBr = 387 
  INTEGER, PARAMETER :: ind_O3 = 388 
  INTEGER, PARAMETER :: ind_Br = 389 
  INTEGER, PARAMETER :: ind_HO2 = 390 
  INTEGER, PARAMETER :: ind_Cl = 391 
  INTEGER, PARAMETER :: ind_MO2 = 392 
  INTEGER, PARAMETER :: ind_NO3 = 393 
  INTEGER, PARAMETER :: ind_HCl = 394 
  INTEGER, PARAMETER :: ind_O = 395 

! Index declaration for fixed species in C
!   C(ind_spc)

  INTEGER, PARAMETER :: ind_EOH = 396 
  INTEGER, PARAMETER :: ind_H2 = 397 
  INTEGER, PARAMETER :: ind_MOH = 398 
  INTEGER, PARAMETER :: ind_N2 = 399 
  INTEGER, PARAMETER :: ind_O2 = 400 
  INTEGER, PARAMETER :: ind_RCOOH = 401 

! Index declaration for fixed species in FIX
!    FIX(indf_spc) = C(ind_spc) = C(NVAR+indf_spc)

  INTEGER, PARAMETER :: indf_EOH = 1 
  INTEGER, PARAMETER :: indf_H2 = 2 
  INTEGER, PARAMETER :: indf_MOH = 3 
  INTEGER, PARAMETER :: indf_N2 = 4 
  INTEGER, PARAMETER :: indf_O2 = 5 
  INTEGER, PARAMETER :: indf_RCOOH = 6 

END MODULE gckpp_Parameters

