! ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
! 
! Parameter Module File
! 
! Generated by KPP-2.2.4_gc symbolic chemistry Kinetics PreProcessor
!       (http://www.cs.vt.edu/~asandu/Software/KPP)
! KPP is distributed under GPL, the general public licence
!       (http://www.gnu.org/copyleft/gpl.html)
! (C) 1995-1997, V. Damian & A. Sandu, CGRER, Univ. Iowa
! (C) 1997-2005, A. Sandu, Michigan Tech, Virginia Tech
!     With important contributions from:
!        M. Damian, Villanova University, USA
!        R. Sander, Max-Planck Institute for Chemistry, Mainz, Germany
! 
! File                 : gckpp_Parameters.f90
! Time                 : Wed Nov 30 14:50:58 2016
! Working directory    : /n/home05/msulprizio/GC/FlexChem/Mechanisms/UCX
! Equation file        : gckpp.kpp
! Output root filename : gckpp
! 
! ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~



MODULE gckpp_Parameters

  USE gckpp_Precision
  PUBLIC
  SAVE


! NSPEC - Number of chemical species
  INTEGER, PARAMETER :: NSPEC = 387 
! NVAR - Number of Variable species
  INTEGER, PARAMETER :: NVAR = 381 
! NFLUX - Number of Reaction Flux species
  INTEGER, PARAMETER :: NFLUX = 1 
! NFAM - Number of Prod/Loss Families
  INTEGER, PARAMETER :: NFAM = 5 
! NVARACT - Number of Active species
  INTEGER, PARAMETER :: NVARACT = 148 
! NFIX - Number of Fixed species
  INTEGER, PARAMETER :: NFIX = 6 
! NREACT - Number of reactions
  INTEGER, PARAMETER :: NREACT = 528 
! NVARST - Starting of variables in conc. vect.
  INTEGER, PARAMETER :: NVARST = 1 
! NFIXST - Starting of fixed in conc. vect.
  INTEGER, PARAMETER :: NFIXST = 382 
! NONZERO - Number of nonzero entries in Jacobian
  INTEGER, PARAMETER :: NONZERO = 2504 
! LU_NONZERO - Number of nonzero entries in LU factoriz. of Jacobian
  INTEGER, PARAMETER :: LU_NONZERO = 3021 
! CNVAR - (NVAR+1) Number of elements in compressed row format
  INTEGER, PARAMETER :: CNVAR = 382 
! NLOOKAT - Number of species to look at
  INTEGER, PARAMETER :: NLOOKAT = 0 
! NMONITOR - Number of species to monitor
  INTEGER, PARAMETER :: NMONITOR = 0 
! NMASS - Number of atoms to check mass balance
  INTEGER, PARAMETER :: NMASS = 1 

! Index declaration for variable species in C and VAR
!   VAR(ind_spc) = C(ind_spc)

  INTEGER, PARAMETER :: ind_MSA = 1 
  INTEGER, PARAMETER :: ind_LISOPOH = 2 
  INTEGER, PARAMETER :: ind_PYAC = 3 
  INTEGER, PARAMETER :: ind_CO2 = 4 
  INTEGER, PARAMETER :: ind_RR6 = 5 
  INTEGER, PARAMETER :: ind_RR10 = 6 
  INTEGER, PARAMETER :: ind_RR14 = 7 
  INTEGER, PARAMETER :: ind_RR24 = 8 
  INTEGER, PARAMETER :: ind_RR26 = 9 
  INTEGER, PARAMETER :: ind_RR43 = 10 
  INTEGER, PARAMETER :: ind_RR45 = 11 
  INTEGER, PARAMETER :: ind_RR48 = 12 
  INTEGER, PARAMETER :: ind_RR49 = 13 
  INTEGER, PARAMETER :: ind_RR51 = 14 
  INTEGER, PARAMETER :: ind_RR52 = 15 
  INTEGER, PARAMETER :: ind_RR53 = 16 
  INTEGER, PARAMETER :: ind_RR54 = 17 
  INTEGER, PARAMETER :: ind_RR55 = 18 
  INTEGER, PARAMETER :: ind_RR56 = 19 
  INTEGER, PARAMETER :: ind_RR58 = 20 
  INTEGER, PARAMETER :: ind_RR59 = 21 
  INTEGER, PARAMETER :: ind_RR61 = 22 
  INTEGER, PARAMETER :: ind_RR62 = 23 
  INTEGER, PARAMETER :: ind_RR63 = 24 
  INTEGER, PARAMETER :: ind_RR67 = 25 
  INTEGER, PARAMETER :: ind_RR71 = 26 
  INTEGER, PARAMETER :: ind_RR73 = 27 
  INTEGER, PARAMETER :: ind_RR80 = 28 
  INTEGER, PARAMETER :: ind_RR89 = 29 
  INTEGER, PARAMETER :: ind_RR90 = 30 
  INTEGER, PARAMETER :: ind_RR129 = 31 
  INTEGER, PARAMETER :: ind_RR130 = 32 
  INTEGER, PARAMETER :: ind_RR131 = 33 
  INTEGER, PARAMETER :: ind_RR175 = 34 
  INTEGER, PARAMETER :: ind_RR187 = 35 
  INTEGER, PARAMETER :: ind_RR188 = 36 
  INTEGER, PARAMETER :: ind_RR244 = 37 
  INTEGER, PARAMETER :: ind_RR265 = 38 
  INTEGER, PARAMETER :: ind_RR266 = 39 
  INTEGER, PARAMETER :: ind_RR270 = 40 
  INTEGER, PARAMETER :: ind_RR271 = 41 
  INTEGER, PARAMETER :: ind_RR272 = 42 
  INTEGER, PARAMETER :: ind_RR273 = 43 
  INTEGER, PARAMETER :: ind_RR274 = 44 
  INTEGER, PARAMETER :: ind_RR275 = 45 
  INTEGER, PARAMETER :: ind_RR277 = 46 
  INTEGER, PARAMETER :: ind_RR279 = 47 
  INTEGER, PARAMETER :: ind_RR280 = 48 
  INTEGER, PARAMETER :: ind_RR282 = 49 
  INTEGER, PARAMETER :: ind_RR284 = 50 
  INTEGER, PARAMETER :: ind_RR285 = 51 
  INTEGER, PARAMETER :: ind_RR288 = 52 
  INTEGER, PARAMETER :: ind_RR289 = 53 
  INTEGER, PARAMETER :: ind_RR294 = 54 
  INTEGER, PARAMETER :: ind_RR295 = 55 
  INTEGER, PARAMETER :: ind_RR300 = 56 
  INTEGER, PARAMETER :: ind_RR301 = 57 
  INTEGER, PARAMETER :: ind_RR306 = 58 
  INTEGER, PARAMETER :: ind_RR307 = 59 
  INTEGER, PARAMETER :: ind_RR311 = 60 
  INTEGER, PARAMETER :: ind_RR312 = 61 
  INTEGER, PARAMETER :: ind_RR316 = 62 
  INTEGER, PARAMETER :: ind_RR317 = 63 
  INTEGER, PARAMETER :: ind_RR322 = 64 
  INTEGER, PARAMETER :: ind_RR323 = 65 
  INTEGER, PARAMETER :: ind_RR328 = 66 
  INTEGER, PARAMETER :: ind_RR329 = 67 
  INTEGER, PARAMETER :: ind_RR359 = 68 
  INTEGER, PARAMETER :: ind_RR361 = 69 
  INTEGER, PARAMETER :: ind_RR362 = 70 
  INTEGER, PARAMETER :: ind_RR385 = 71 
  INTEGER, PARAMETER :: ind_RR393 = 72 
  INTEGER, PARAMETER :: ind_RR394 = 73 
  INTEGER, PARAMETER :: ind_RR407 = 74 
  INTEGER, PARAMETER :: ind_RR420 = 75 
  INTEGER, PARAMETER :: ind_RR437 = 76 
  INTEGER, PARAMETER :: ind_RR445 = 77 
  INTEGER, PARAMETER :: ind_RR452 = 78 
  INTEGER, PARAMETER :: ind_RR493 = 79 
  INTEGER, PARAMETER :: ind_RR498 = 80 
  INTEGER, PARAMETER :: ind_RR501 = 81 
  INTEGER, PARAMETER :: ind_RR2 = 82 
  INTEGER, PARAMETER :: ind_RR3 = 83 
  INTEGER, PARAMETER :: ind_RR5 = 84 
  INTEGER, PARAMETER :: ind_RR30 = 85 
  INTEGER, PARAMETER :: ind_RR32 = 86 
  INTEGER, PARAMETER :: ind_RR37 = 87 
  INTEGER, PARAMETER :: ind_RR38 = 88 
  INTEGER, PARAMETER :: ind_RR40 = 89 
  INTEGER, PARAMETER :: ind_RR64 = 90 
  INTEGER, PARAMETER :: ind_RR65 = 91 
  INTEGER, PARAMETER :: ind_RR66 = 92 
  INTEGER, PARAMETER :: ind_RR68 = 93 
  INTEGER, PARAMETER :: ind_RR69 = 94 
  INTEGER, PARAMETER :: ind_RR74 = 95 
  INTEGER, PARAMETER :: ind_RR76 = 96 
  INTEGER, PARAMETER :: ind_RR78 = 97 
  INTEGER, PARAMETER :: ind_RR81 = 98 
  INTEGER, PARAMETER :: ind_RR91 = 99 
  INTEGER, PARAMETER :: ind_RR108 = 100 
  INTEGER, PARAMETER :: ind_RR133 = 101 
  INTEGER, PARAMETER :: ind_RR138 = 102 
  INTEGER, PARAMETER :: ind_RR141 = 103 
  INTEGER, PARAMETER :: ind_RR142 = 104 
  INTEGER, PARAMETER :: ind_RR152 = 105 
  INTEGER, PARAMETER :: ind_RR153 = 106 
  INTEGER, PARAMETER :: ind_RR154 = 107 
  INTEGER, PARAMETER :: ind_RR155 = 108 
  INTEGER, PARAMETER :: ind_RR156 = 109 
  INTEGER, PARAMETER :: ind_RR157 = 110 
  INTEGER, PARAMETER :: ind_RR190 = 111 
  INTEGER, PARAMETER :: ind_RR191 = 112 
  INTEGER, PARAMETER :: ind_RR223 = 113 
  INTEGER, PARAMETER :: ind_RR226 = 114 
  INTEGER, PARAMETER :: ind_RR227 = 115 
  INTEGER, PARAMETER :: ind_RR229 = 116 
  INTEGER, PARAMETER :: ind_RR230 = 117 
  INTEGER, PARAMETER :: ind_RR231 = 118 
  INTEGER, PARAMETER :: ind_RR234 = 119 
  INTEGER, PARAMETER :: ind_RR240 = 120 
  INTEGER, PARAMETER :: ind_RR241 = 121 
  INTEGER, PARAMETER :: ind_RR245 = 122 
  INTEGER, PARAMETER :: ind_RR246 = 123 
  INTEGER, PARAMETER :: ind_RR247 = 124 
  INTEGER, PARAMETER :: ind_RR260 = 125 
  INTEGER, PARAMETER :: ind_RR262 = 126 
  INTEGER, PARAMETER :: ind_RR268 = 127 
  INTEGER, PARAMETER :: ind_RR269 = 128 
  INTEGER, PARAMETER :: ind_RR276 = 129 
  INTEGER, PARAMETER :: ind_RR281 = 130 
  INTEGER, PARAMETER :: ind_RR291 = 131 
  INTEGER, PARAMETER :: ind_RR333 = 132 
  INTEGER, PARAMETER :: ind_RR336 = 133 
  INTEGER, PARAMETER :: ind_RR337 = 134 
  INTEGER, PARAMETER :: ind_RR338 = 135 
  INTEGER, PARAMETER :: ind_RR339 = 136 
  INTEGER, PARAMETER :: ind_RR340 = 137 
  INTEGER, PARAMETER :: ind_RR341 = 138 
  INTEGER, PARAMETER :: ind_RR343 = 139 
  INTEGER, PARAMETER :: ind_RR345 = 140 
  INTEGER, PARAMETER :: ind_RR346 = 141 
  INTEGER, PARAMETER :: ind_RR347 = 142 
  INTEGER, PARAMETER :: ind_RR349 = 143 
  INTEGER, PARAMETER :: ind_RR351 = 144 
  INTEGER, PARAMETER :: ind_RR352 = 145 
  INTEGER, PARAMETER :: ind_RR355 = 146 
  INTEGER, PARAMETER :: ind_RR357 = 147 
  INTEGER, PARAMETER :: ind_RR364 = 148 
  INTEGER, PARAMETER :: ind_RR365 = 149 
  INTEGER, PARAMETER :: ind_RR366 = 150 
  INTEGER, PARAMETER :: ind_RR367 = 151 
  INTEGER, PARAMETER :: ind_RR370 = 152 
  INTEGER, PARAMETER :: ind_RR373 = 153 
  INTEGER, PARAMETER :: ind_RR386 = 154 
  INTEGER, PARAMETER :: ind_RR387 = 155 
  INTEGER, PARAMETER :: ind_RR388 = 156 
  INTEGER, PARAMETER :: ind_RR389 = 157 
  INTEGER, PARAMETER :: ind_RR390 = 158 
  INTEGER, PARAMETER :: ind_RR408 = 159 
  INTEGER, PARAMETER :: ind_RR412 = 160 
  INTEGER, PARAMETER :: ind_RR413 = 161 
  INTEGER, PARAMETER :: ind_RR422 = 162 
  INTEGER, PARAMETER :: ind_RR423 = 163 
  INTEGER, PARAMETER :: ind_RR427 = 164 
  INTEGER, PARAMETER :: ind_RR429 = 165 
  INTEGER, PARAMETER :: ind_RR430 = 166 
  INTEGER, PARAMETER :: ind_RR431 = 167 
  INTEGER, PARAMETER :: ind_RR432 = 168 
  INTEGER, PARAMETER :: ind_RR433 = 169 
  INTEGER, PARAMETER :: ind_RR434 = 170 
  INTEGER, PARAMETER :: ind_RR448 = 171 
  INTEGER, PARAMETER :: ind_RR488 = 172 
  INTEGER, PARAMETER :: ind_RR507 = 173 
  INTEGER, PARAMETER :: ind_RR511 = 174 
  INTEGER, PARAMETER :: ind_RR22 = 175 
  INTEGER, PARAMETER :: ind_RR39 = 176 
  INTEGER, PARAMETER :: ind_RR60 = 177 
  INTEGER, PARAMETER :: ind_RR102 = 178 
  INTEGER, PARAMETER :: ind_RR115 = 179 
  INTEGER, PARAMETER :: ind_RR117 = 180 
  INTEGER, PARAMETER :: ind_RR118 = 181 
  INTEGER, PARAMETER :: ind_RR134 = 182 
  INTEGER, PARAMETER :: ind_RR136 = 183 
  INTEGER, PARAMETER :: ind_RR137 = 184 
  INTEGER, PARAMETER :: ind_RR139 = 185 
  INTEGER, PARAMETER :: ind_RR140 = 186 
  INTEGER, PARAMETER :: ind_RR147 = 187 
  INTEGER, PARAMETER :: ind_RR174 = 188 
  INTEGER, PARAMETER :: ind_RR199 = 189 
  INTEGER, PARAMETER :: ind_RR201 = 190 
  INTEGER, PARAMETER :: ind_RR204 = 191 
  INTEGER, PARAMETER :: ind_RR249 = 192 
  INTEGER, PARAMETER :: ind_RR250 = 193 
  INTEGER, PARAMETER :: ind_RR251 = 194 
  INTEGER, PARAMETER :: ind_RR252 = 195 
  INTEGER, PARAMETER :: ind_RR253 = 196 
  INTEGER, PARAMETER :: ind_RR283 = 197 
  INTEGER, PARAMETER :: ind_RR402 = 198 
  INTEGER, PARAMETER :: ind_RR426 = 199 
  INTEGER, PARAMETER :: ind_RR441 = 200 
  INTEGER, PARAMETER :: ind_RR442 = 201 
  INTEGER, PARAMETER :: ind_RR450 = 202 
  INTEGER, PARAMETER :: ind_RR451 = 203 
  INTEGER, PARAMETER :: ind_RR453 = 204 
  INTEGER, PARAMETER :: ind_RR455 = 205 
  INTEGER, PARAMETER :: ind_RR457 = 206 
  INTEGER, PARAMETER :: ind_RR458 = 207 
  INTEGER, PARAMETER :: ind_RR459 = 208 
  INTEGER, PARAMETER :: ind_RR460 = 209 
  INTEGER, PARAMETER :: ind_RR461 = 210 
  INTEGER, PARAMETER :: ind_RR462 = 211 
  INTEGER, PARAMETER :: ind_RR463 = 212 
  INTEGER, PARAMETER :: ind_RR465 = 213 
  INTEGER, PARAMETER :: ind_RR476 = 214 
  INTEGER, PARAMETER :: ind_RR479 = 215 
  INTEGER, PARAMETER :: ind_RR483 = 216 
  INTEGER, PARAMETER :: ind_RR496 = 217 
  INTEGER, PARAMETER :: ind_RR499 = 218 
  INTEGER, PARAMETER :: ind_RR12 = 219 
  INTEGER, PARAMETER :: ind_RR299 = 220 
  INTEGER, PARAMETER :: ind_RR305 = 221 
  INTEGER, PARAMETER :: ind_RR310 = 222 
  INTEGER, PARAMETER :: ind_RR315 = 223 
  INTEGER, PARAMETER :: ind_RR321 = 224 
  INTEGER, PARAMETER :: ind_RR327 = 225 
  INTEGER, PARAMETER :: ind_RR235 = 226 
  INTEGER, PARAMETER :: ind_RR296 = 227 
  INTEGER, PARAMETER :: ind_RR302 = 228 
  INTEGER, PARAMETER :: ind_RR308 = 229 
  INTEGER, PARAMETER :: ind_RR313 = 230 
  INTEGER, PARAMETER :: ind_RR318 = 231 
  INTEGER, PARAMETER :: ind_RR324 = 232 
  INTEGER, PARAMETER :: ind_RR330 = 233 
  INTEGER, PARAMETER :: ind_CH3CCl3 = 234 
  INTEGER, PARAMETER :: ind_BrNO2 = 235 
  INTEGER, PARAMETER :: ind_IEPOX = 236 
  INTEGER, PARAMETER :: ind_PMNN = 237 
  INTEGER, PARAMETER :: ind_CCl4 = 238 
  INTEGER, PARAMETER :: ind_CFC11 = 239 
  INTEGER, PARAMETER :: ind_CFC12 = 240 
  INTEGER, PARAMETER :: ind_CFC113 = 241 
  INTEGER, PARAMETER :: ind_CFC114 = 242 
  INTEGER, PARAMETER :: ind_CFC115 = 243 
  INTEGER, PARAMETER :: ind_H1301 = 244 
  INTEGER, PARAMETER :: ind_H2402 = 245 
  INTEGER, PARAMETER :: ind_PPN = 246 
  INTEGER, PARAMETER :: ind_H1211 = 247 
  INTEGER, PARAMETER :: ind_N2O = 248 
  INTEGER, PARAMETER :: ind_OCS = 249 
  INTEGER, PARAMETER :: ind_ALK4 = 250 
  INTEGER, PARAMETER :: ind_N = 251 
  INTEGER, PARAMETER :: ind_PAN = 252 
  INTEGER, PARAMETER :: ind_MAP = 253 
  INTEGER, PARAMETER :: ind_Cl2O2 = 254 
  INTEGER, PARAMETER :: ind_CHBr3 = 255 
  INTEGER, PARAMETER :: ind_CH2Br2 = 256 
  INTEGER, PARAMETER :: ind_MPN = 257 
  INTEGER, PARAMETER :: ind_OClO = 258 
  INTEGER, PARAMETER :: ind_ClNO2 = 259 
  INTEGER, PARAMETER :: ind_HCFC22 = 260 
  INTEGER, PARAMETER :: ind_HCFC123 = 261 
  INTEGER, PARAMETER :: ind_HCFC141b = 262 
  INTEGER, PARAMETER :: ind_HCFC142b = 263 
  INTEGER, PARAMETER :: ind_C3H8 = 264 
  INTEGER, PARAMETER :: ind_ETP = 265 
  INTEGER, PARAMETER :: ind_HNO2 = 266 
  INTEGER, PARAMETER :: ind_RA3P = 267 
  INTEGER, PARAMETER :: ind_RB3P = 268 
  INTEGER, PARAMETER :: ind_DMS = 269 
  INTEGER, PARAMETER :: ind_CH3Cl = 270 
  INTEGER, PARAMETER :: ind_CH3Br = 271 
  INTEGER, PARAMETER :: ind_ClOO = 272 
  INTEGER, PARAMETER :: ind_HNO4 = 273 
  INTEGER, PARAMETER :: ind_MAOP = 274 
  INTEGER, PARAMETER :: ind_MP = 275 
  INTEGER, PARAMETER :: ind_BrCl = 276 
  INTEGER, PARAMETER :: ind_RP = 277 
  INTEGER, PARAMETER :: ind_ETHLN = 278 
  INTEGER, PARAMETER :: ind_PP = 279 
  INTEGER, PARAMETER :: ind_PRPN = 280 
  INTEGER, PARAMETER :: ind_SO4 = 281 
  INTEGER, PARAMETER :: ind_Br2 = 282 
  INTEGER, PARAMETER :: ind_R4P = 283 
  INTEGER, PARAMETER :: ind_ATOOH = 284 
  INTEGER, PARAMETER :: ind_C2H6 = 285 
  INTEGER, PARAMETER :: ind_IAP = 286 
  INTEGER, PARAMETER :: ind_RIP = 287 
  INTEGER, PARAMETER :: ind_VRP = 288 
  INTEGER, PARAMETER :: ind_MOBA = 289 
  INTEGER, PARAMETER :: ind_DHMOB = 290 
  INTEGER, PARAMETER :: ind_MRP = 291 
  INTEGER, PARAMETER :: ind_N2O5 = 292 
  INTEGER, PARAMETER :: ind_HCOOH = 293 
  INTEGER, PARAMETER :: ind_INPN = 294 
  INTEGER, PARAMETER :: ind_ISNP = 295 
  INTEGER, PARAMETER :: ind_ISOPNB = 296 
  INTEGER, PARAMETER :: ind_MOBAOO = 297 
  INTEGER, PARAMETER :: ind_ROH = 298 
  INTEGER, PARAMETER :: ind_IEPOXOO = 299 
  INTEGER, PARAMETER :: ind_DIBOO = 300 
  INTEGER, PARAMETER :: ind_PMN = 301 
  INTEGER, PARAMETER :: ind_BrNO3 = 302 
  INTEGER, PARAMETER :: ind_H = 303 
  INTEGER, PARAMETER :: ind_MACRNO2 = 304 
  INTEGER, PARAMETER :: ind_ISOP = 305 
  INTEGER, PARAMETER :: ind_PRPE = 306 
  INTEGER, PARAMETER :: ind_Cl2 = 307 
  INTEGER, PARAMETER :: ind_ISNOHOO = 308 
  INTEGER, PARAMETER :: ind_ISOPND = 309 
  INTEGER, PARAMETER :: ind_ISNOOB = 310 
  INTEGER, PARAMETER :: ind_MVKN = 311 
  INTEGER, PARAMETER :: ind_HOBr = 312 
  INTEGER, PARAMETER :: ind_PROPNN = 313 
  INTEGER, PARAMETER :: ind_GLYX = 314 
  INTEGER, PARAMETER :: ind_GAOO = 315 
  INTEGER, PARAMETER :: ind_CH4 = 316 
  INTEGER, PARAMETER :: ind_MVKOO = 317 
  INTEGER, PARAMETER :: ind_MAOPO2 = 318 
  INTEGER, PARAMETER :: ind_A3O2 = 319 
  INTEGER, PARAMETER :: ind_MGLYOO = 320 
  INTEGER, PARAMETER :: ind_ACET = 321 
  INTEGER, PARAMETER :: ind_MGLOO = 322 
  INTEGER, PARAMETER :: ind_CH2OO = 323 
  INTEGER, PARAMETER :: ind_ACTA = 324 
  INTEGER, PARAMETER :: ind_ISNOOA = 325 
  INTEGER, PARAMETER :: ind_PO2 = 326 
  INTEGER, PARAMETER :: ind_MACRN = 327 
  INTEGER, PARAMETER :: ind_MAN2 = 328 
  INTEGER, PARAMETER :: ind_CH3CHOO = 329 
  INTEGER, PARAMETER :: ind_H2O2 = 330 
  INTEGER, PARAMETER :: ind_PRN1 = 331 
  INTEGER, PARAMETER :: ind_KO2 = 332 
  INTEGER, PARAMETER :: ind_ClNO3 = 333 
  INTEGER, PARAMETER :: ind_B3O2 = 334 
  INTEGER, PARAMETER :: ind_VRO2 = 335 
  INTEGER, PARAMETER :: ind_HC5OO = 336 
  INTEGER, PARAMETER :: ind_ETO2 = 337 
  INTEGER, PARAMETER :: ind_RCO3 = 338 
  INTEGER, PARAMETER :: ind_MRO2 = 339 
  INTEGER, PARAMETER :: ind_HNO3 = 340 
  INTEGER, PARAMETER :: ind_HOCl = 341 
  INTEGER, PARAMETER :: ind_GLYC = 342 
  INTEGER, PARAMETER :: ind_ATO2 = 343 
  INTEGER, PARAMETER :: ind_R4N1 = 344 
  INTEGER, PARAMETER :: ind_ISN1 = 345 
  INTEGER, PARAMETER :: ind_MAO3 = 346 
  INTEGER, PARAMETER :: ind_RIO2 = 347 
  INTEGER, PARAMETER :: ind_INO2 = 348 
  INTEGER, PARAMETER :: ind_HC5 = 349 
  INTEGER, PARAMETER :: ind_MGLY = 350 
  INTEGER, PARAMETER :: ind_ISOPNBO2 = 351 
  INTEGER, PARAMETER :: ind_ISOPNDO2 = 352 
  INTEGER, PARAMETER :: ind_MACROO = 353 
  INTEGER, PARAMETER :: ind_R4O2 = 354 
  INTEGER, PARAMETER :: ind_HAC = 355 
  INTEGER, PARAMETER :: ind_R4N2 = 356 
  INTEGER, PARAMETER :: ind_BrO = 357 
  INTEGER, PARAMETER :: ind_RCHO = 358 
  INTEGER, PARAMETER :: ind_MEK = 359 
  INTEGER, PARAMETER :: ind_ClO = 360 
  INTEGER, PARAMETER :: ind_MACR = 361 
  INTEGER, PARAMETER :: ind_ALD2 = 362 
  INTEGER, PARAMETER :: ind_MVK = 363 
  INTEGER, PARAMETER :: ind_MCO3 = 364 
  INTEGER, PARAMETER :: ind_SO2 = 365 
  INTEGER, PARAMETER :: ind_CO = 366 
  INTEGER, PARAMETER :: ind_Br = 367 
  INTEGER, PARAMETER :: ind_OH = 368 
  INTEGER, PARAMETER :: ind_O = 369 
  INTEGER, PARAMETER :: ind_HCl = 370 
  INTEGER, PARAMETER :: ind_HBr = 371 
  INTEGER, PARAMETER :: ind_O1D = 372 
  INTEGER, PARAMETER :: ind_O3 = 373 
  INTEGER, PARAMETER :: ind_HO2 = 374 
  INTEGER, PARAMETER :: ind_NO2 = 375 
  INTEGER, PARAMETER :: ind_NO = 376 
  INTEGER, PARAMETER :: ind_H2O = 377 
  INTEGER, PARAMETER :: ind_CH2O = 378 
  INTEGER, PARAMETER :: ind_NO3 = 379 
  INTEGER, PARAMETER :: ind_MO2 = 380 
  INTEGER, PARAMETER :: ind_Cl = 381 

! Index declaration for fixed species in C
!   C(ind_spc)

  INTEGER, PARAMETER :: ind_EOH = 382 
  INTEGER, PARAMETER :: ind_H2 = 383 
  INTEGER, PARAMETER :: ind_MOH = 384 
  INTEGER, PARAMETER :: ind_N2 = 385 
  INTEGER, PARAMETER :: ind_O2 = 386 
  INTEGER, PARAMETER :: ind_RCOOH = 387 

! Index declaration for fixed species in FIX
!    FIX(indf_spc) = C(ind_spc) = C(NVAR+indf_spc)

  INTEGER, PARAMETER :: indf_EOH = 1 
  INTEGER, PARAMETER :: indf_H2 = 2 
  INTEGER, PARAMETER :: indf_MOH = 3 
  INTEGER, PARAMETER :: indf_N2 = 4 
  INTEGER, PARAMETER :: indf_O2 = 5 
  INTEGER, PARAMETER :: indf_RCOOH = 6 

END MODULE gckpp_Parameters

